VARKON Version 1.15 1997-10-24

> ## sur_comp - Geometric procedure

> Creates a surface
> Description
> Two or more surfaces can be concatenated to one surface.
> Syntax
> sur_com(id, surf1, surf2, surf3, surf4, .....:attributes);

> REF | id;
> REF | surf1;
> REF | surf2;
> REF | surf3;
> REF | surf4;
> REF | .
> REF | .

> Principal parameters

> id | - Local identity
> surf1 | - Surface 1
> surf2 | - Surface 2
> surf3 | - Surface 3
> surf4 | - Surface 4
> . | - .

> Optional parameters

> surf3 | - Surface 3
> surf4 | - Surface 4
> . | - .

> Attributes

> PEN | - Pen or colour number
> LEVEL | - Level number
> BLANK | - Visible (0) or invisible (1)
> SFONT | - Solid boundary and dashed midcurves (0)
> SDASHL | - Dashlength

> Example
> sur_comp(#3, #2, #1);
> Creates a new surface #3 with surface #1 and surface #2.
> Comments
> The only case yet implemented is for surfaces that have a common surface boundary

VARKON Homepage | Index